Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1512661 - [RFE] [v2v] There are unsupported v2v operations, that could have been blocked at the v2v submit stage
Summary: [RFE] [v2v] There are unsupported v2v operations, that could have been blocke...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.8.3
Assignee: Shmuel Melamud
QA Contact: Ilanit Stein
URL:
Whiteboard: rhev:v2v
Depends On: 1473180
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-13 19:33 UTC by Satoe Imaishi
Modified: 2018-02-28 13:08 UTC (History)
8 users (show)

Fixed In Version: 5.8.3.0
Doc Type: Enhancement
Doc Text:
Clone Of: 1473180
Environment:
Last Closed: 2018-02-28 13:08:47 UTC
Category: ---
Cloudforms Team: RHEVM


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github ManageIQ manageiq-ui-classic pull 2024 None None None 2017-12-05 11:55:53 UTC
Red Hat Product Errata RHSA-2018:0374 normal SHIPPED_LIVE Important: Red Hat CloudForms security, bug fix, and enhancement update 2018-02-28 18:04:37 UTC

Comment 2 CFME Bot 2017-11-13 19:38:08 UTC
New commit detected on ManageIQ/manageiq-ui-classic/fine:
https://github.com/ManageIQ/manageiq-ui-classic/commit/8182c095dca4e1aba06b2ffd02d7c39c70ba45c1

commit 8182c095dca4e1aba06b2ffd02d7c39c70ba45c1
Author:     Martin Hradil <himdel@seznam.cz>
AuthorDate: Tue Aug 29 09:48:30 2017 +0000
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Nov 13 14:32:55 2017 -0500

    Merge pull request #2024 from matobet/error-messages
    
    v2v: Disable VM transform button when op not possible
    (cherry picked from commit c2ad1a96ed786a560776465e8264a88bca8e7789)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1512661

 .../application_helper/button/transform_vm_button.rb    | 17 ++++++++++++++++-
 1 file changed, 16 insertions(+), 1 deletion(-)

Comment 3 Ilanit Stein 2018-01-01 13:58:11 UTC
Verified on CFME-5.8.3.0.20171213193853_f1b4a89/RHV-4.1.8

Case 1: No RHV provider connected to CFME:
'Transform This VM to RHV' option is grayed out,
with help message: 'No suitable target infra provider exists'

Case 2: vm has snapshots:
'Transform This VM to RHV' option is grayed out,
with help message: 'Cannot transform VMs with snapshots'

Case 3: vm in status Up:
'Transform This VM to RHV' option is grayed out,
with help message: 'Can only transform VMs in down state'

Comment 6 errata-xmlrpc 2018-02-28 13:08:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0374


Note You need to log in before you can comment on or make changes to this bug.